> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all relayer API keys

> Returns all relayer API keys for the authenticated address. Auth allowed: Gamma auth or Relayer API key auth (RELAYER_API_KEY and RELAYER_API_KEY_ADDRESS).



## OpenAPI

````yaml openapi/zh/polymarket-relayer.json GET /apis/v1/polymarket/relayer/api/keys
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Relayer
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deployed
    - /apis/v1/polymarket/nonce
    - /apis/v1/polymarket/relay-payload
    - /apis/v1/polymarket/relayer/api/keys
    - /apis/v1/polymarket/submit
    - /apis/v1/polymarket/transaction
    - /apis/v1/polymarket/transactions
  x-aisa-document:
    facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:874b104f5f45239878bfa90fd0973478c966065a6ec2e5bf6e619c0f5f268fb3
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-relayer
  x-aisa-catalogs:
    polymarket-relayer:
      title: Polymarket Relayer
      description: ''
      x-aisa-document:
        facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/relayer/api/keys:
    get:
      tags:
        - default
      summary: Get all relayer API keys
      description: >-
        Returns all relayer API keys for the authenticated address. Auth
        allowed: Gamma auth or Relayer API key auth (RELAYER_API_KEY and
        RELAYER_API_KEY_ADDRESS).
      operationId: any_polymarket_relayer_apis_v1_polymarket_relayer_f3537f
      parameters:
        - name: RELAYER_API_KEY
          in: header
          required: false
          description: Relayer API key (when using relayer API key auth)
          schema:
            type: string
          example: 01967c03-b8c8-7000-8f68-8b8eaec6fd3d
        - name: RELAYER_API_KEY_ADDRESS
          in: header
          required: false
          description: >-
            Address that owns the key (when using relayer API key auth). Must
            match the address that owns the key.
          schema:
            type: string
            description: Ethereum address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
          example: 0xabc...
      responses:
        '200':
          description: >-
            API keys retrieved successfully. Returns an empty array if no keys
            exist for the authenticated address.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response0D96414269Ca_RelayerApiKey'
              example:
                - apiKey: 01967c03-b8c8-7000-8f68-8b8eaec6fd3d
                  address: 0xabc...
                  createdAt: '2026-02-24T18:20:11.237485Z'
                  updatedAt: '2026-02-24T18:20:11.237485Z'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response0D96414269Ca_RelayerApiKey:
      type: object
      properties:
        apiKey:
          type: string
          description: The relayer API key
          example: 01967c03-b8c8-7000-8f68-8b8eaec6fd3d
        address:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the key was created
          example: '2026-02-24T18:20:11.237485Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the key was last updated
          example: '2026-02-24T18:20:11.237485Z'
    Response0D96414269Ca_Address:
      type: string
      description: Ethereum address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.